设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 163|回复: 6

[编程申请] 将图块附近的文字移动到图块插入点上

[复制链接]

签到天数: 32 天

连续签到: 1 天

[LV.5]常住居民I

已领礼包: 8个

财富等级: 恭喜发财

发表于 2017-3-25 04:12:12 | 显示全部楼层 |阅读模式
35D豆
本帖最后由 开水瓶游泳 于 2017-3-25 05:00 编辑

将一张图纸上的特定文字全部选择出来如前缀为-1   eps   ws   m    r等,用黄色显示,然后已图块插入点为中心指定一个范围如周边xxxxmm之内的黄色文字,满足要求的文字移动在图块中心点或者插入点上.

截图00.png

t3-X.rar

426.21 KB, 下载次数: 5, 下载积分: D豆 -1 , 活跃度 1

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

签到天数: 1131 天

连续签到: 18 天

[LV.10]以坛为家III

已领礼包: 3004个

财富等级: 富可敌国

发表于 2017-3-25 07:28:21 | 显示全部楼层
啥也不说了,感谢楼主分享哇!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

签到天数: 32 天

连续签到: 1 天

[LV.5]常住居民I

已领礼包: 8个

财富等级: 恭喜发财

 楼主| 发表于 2017-3-25 16:16:26 | 显示全部楼层
有大神在吗,能帮小弟解决一下这个问题吗,一张图纸上太多要移动的字了,在线等求大神帮忙啊
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

签到天数: 973 天

连续签到: 1 天

[LV.10]以坛为家III

点击这里给我发消息

已领礼包: 1255个

财富等级: 财源广进

发表于 2017-3-25 18:08:35 | 显示全部楼层
本帖最后由 st788796 于 2017-3-25 18:17 编辑

请合理确定范围,可以多操作几次完成, 相邻的图块分两次处理(一次处理不保证正确)

  1. (defun c:tt (/ ss str code1 dis ss lst blk txt)
  2.   (if (and (setq str (getstring "\n文字前缀(以逗号分隔): "))
  3.            (setq code1 (xdrx_string_replace str "," "*,"))
  4.       )
  5.     (while (and
  6.              (setq dis (getdist "\n输入范围: "))
  7.              (setq ss (ssget (list '(-4 . "<or")
  8.                                    (cons 1 (strcase code1))
  9.                                    '(0 . "insert")
  10.                                    '(-4 . "or>")
  11.                              )
  12.                       )
  13.              )
  14.            )
  15.       (progn
  16.         (setq lst (mapcar '(lambda (x)
  17.                              (reverse (cons x (xdrx_getpropertyvalue x "isa" "position"))
  18.                              )
  19.                            )
  20.                           (xdrx_pickset->ents ss)
  21.                   )
  22.               lst (xd::list:groupbyindex lst dis)
  23.         )
  24.         (foreach x (mapcar 'cdr lst)
  25.           (if (and (setq blk (cadr (assoc "AcDbBlockReference" x)))
  26.                    (setq txt (cadr (assoc "AcDbText" x)))
  27.               )
  28.             (xdrx_setpropertyvalue
  29.               txt
  30.               "position"
  31.               (xdrx_getpropertyvalue blk "position")
  32.               "color"
  33.               2
  34.             )
  35.           )
  36.         )
  37.       )
  38.     )
  39.   )
  40.   (princ)
  41. )
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

签到天数: 32 天

连续签到: 1 天

[LV.5]常住居民I

已领礼包: 8个

财富等级: 恭喜发财

 楼主| 发表于 2017-3-25 18:45:05 | 显示全部楼层
谢谢大神       万分感谢    大神能将这个设置的文字设置可以不用每次都输入可以吗还有那个距离也一样这样程序就完美了,  或者将这个程序可以分成两段吗一段是找到前辍的字,  变为红色,另一段是以红色的字+距离以块为中心点找字,期盼!!!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

签到天数: 32 天

连续签到: 1 天

[LV.5]常住居民I

已领礼包: 8个

财富等级: 恭喜发财

 楼主| 发表于 2017-3-25 18:54:50 | 显示全部楼层
这个程序太好了,
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

签到天数: 3 天

连续签到: 1 天

[LV.2]偶尔看看I

发表于 2017-7-25 10:26:26 | 显示全部楼层
感谢楼主分享哇!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2018-6-21 18:19 , Processed in 0.152649 second(s), 36 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表